#include<bits/stdc++.h>
using namespace std;
int mem[5]={0,1,2,5,11};
vector<int> prime_F(int n){
    vector<int> pf;
    for(int i=2; i<=sqrt(n); i++)
        while(n%i==0){
            n/=i;
            pf.push_back(i);
        }
        if(n!=1)pf.push_back(n);
    return pf;
}
int main(){
    int n;
    cin>>n;
    cout<<mem[prime_F(n).size()];
return 0;
}
